Subject: Re: bug#21716: 25.0.50; highlight-regexp gets confused when the highlighted text is pasted

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 May 2021 00:29:37 +0200

Dima Kogan <[email-masked]> writes:

> 2. open or type a tiny .c source file such as:
> =====================
> int main(void)
> {
>
> }
> =====================
>
> 3. mark 'main' and M-w
>
> 4. highlight 'main': M-s h r main, accept default face
>
> 5. yank on the empty line between {}. I expect the yanked text 'main' to
> be highlighted. Instead I sometimes see "mai" being highlighted but not
> the "n"; at other times I see nothing highlighted, but "mai" being
> rendered with a different face than the "n". In any case, it's never
> highlighted correctly.

I've tried the recipe in Emacs 28, and this seems to work better now:

So I'm going to go ahead and guess that this has been fixed in the five
years since this was reported, and I'm closing this bug report.  If you
can still see the bug, please respond to the debbugs address and we'll
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no